Skip to main content
GET
/
v1
/
ui
/
purchases
/
{id}
Get a single purchase by ID or reference
curl --request GET \
  --url https://api.example.com/v1/ui/purchases/{id}
{
  "id": "507f1f77bcf86cd799439011",
  "reference": "pur_1A2B3C4D",
  "customerRef": "cus_3C4D5E6F",
  "customerEmail": "customer@example.com",
  "productRef": "prd_1A2B3C4D",
  "status": "active",
  "amount": 9900,
  "currency": "GBP",
  "startDate": "<string>",
  "isRecurring": true,
  "createdAt": "<string>",
  "productId": "507f1f77bcf86cd799439012",
  "productName": "API Gateway Manager",
  "planSnapshot": {
    "price": 2999,
    "currency": "USD",
    "planType": "recurring",
    "reference": "pln_1A2B3C4D",
    "billingCycle": "monthly",
    "features": {},
    "limits": {},
    "meterId": "507f1f77bcf86cd799439011",
    "limit": 5000,
    "freeUnits": 100,
    "creditsPerUnit": 1
  },
  "originalAmount": 10000,
  "exchangeRate": 1.3082,
  "endDate": "<string>",
  "paidAt": "<string>",
  "usage": {
    "used": 150,
    "overageUnits": 0,
    "overageCost": 0,
    "periodStart": "2025-10-01T00:00:00Z",
    "periodEnd": "2025-11-01T00:00:00Z"
  },
  "billingCycle": "weekly",
  "nextBillingDate": "<string>",
  "autoRenew": true,
  "cancelledAt": "<string>",
  "cancellationReason": "<string>",
  "metadata": {}
}

Path Parameters

id
string
required

Purchase ID or reference

Example:

"pur_1A2B3C4D"

Response

Purchase retrieved successfully

id
string
required

Purchase ID

Example:

"507f1f77bcf86cd799439011"

reference
string
required

Purchase reference

Example:

"pur_1A2B3C4D"

customerRef
string
required

Customer reference

Example:

"cus_3C4D5E6F"

customerEmail
string
required

Customer email

Example:

"customer@example.com"

productRef
string
required

Product reference

Example:

"prd_1A2B3C4D"

status
string
required

Purchase status

Example:

"active"

amount
number
required

Amount in USD cents (normalised for aggregation)

Example:

9900

currency
string
required

Original payment currency code

Example:

"GBP"

startDate
string
required

Start date

isRecurring
boolean
required

Is recurring

Example:

true

createdAt
string
required

Created at

productId
string

Product ID

Example:

"507f1f77bcf86cd799439012"

productName
string

Product name

Example:

"API Gateway Manager"

planSnapshot
object

Plan snapshot at time of purchase (null for credit topups)

originalAmount
number

Original amount in the payment currency (cents/pence)

Example:

10000

exchangeRate
number

Exchange rate from original currency to USD

Example:

1.3082

endDate
string

End date

paidAt
string

Paid at timestamp

usage
object

Usage billing state for usage-based plans

billingCycle
enum<string>

Billing cycle

Available options:
weekly,
monthly,
quarterly,
yearly
nextBillingDate
string

Next billing date

autoRenew
boolean

Auto-renew enabled

cancelledAt
string

Cancelled at

cancellationReason
string

Cancellation reason

metadata
object

Arbitrary metadata attached to the purchase